# -*- coding: utf-8 -*-

import mysql.simplesql as sql
from objects import invent

tables = ['tmc']


def insertTmc(tmc):
    yield invent.extractTmcPropertiesFromInventItem(tmc)


def deleteTmc(tmc):
    for k in deleteTmcByCode(tmc.get('inventcode', None)):
        yield k


def deleteTmcByCode(code):
    yield sql.Delete(table='tmc', whereFields=['code'], whereValues=[code])


def clearTmc():
    yield sql.DeleteAll(table='tmc')
