import mysql.simplesql as sql

tables = ['units']


def insertUnit(unit):
    yield sql.Insert(table='units', values={
        'code': unit.get('unitcode', None),
        'name': unit.get('name', None),
        'flag': 1 if unit.get('fractional', False) else 0,
        'frunit': unit.get('frunit', None)
    })


def deleteUnit(unit):
    yield sql.Delete(table='units', whereFields=['code'], whereValues=[unit.get('unitcode', None)])


def deleteUnitByCode(unitcode):
    yield sql.Delete(table='units', whereFields=['code'], whereValues=[unitcode])


def clearUnit():
    yield sql.DeleteAll(table='units')
