import mysql.simplesql as sql


def insertVerification(verification):
    yield sql.Insert(table='verification', values={
        'idverification': verification.get('idverification', None),
        'type': verification.get('type', ''),
        'name': verification.get('name', ''),
        'attribute': verification.get('attribute', None)
    })


def clearVerification():
    yield sql.DeleteAll(table='verification')


def deleteVerification(verification):
    idverification = verification.get('idverification', None)
    if idverification:
        yield sql.Delete(table='verification', whereFields=['idverification'], whereValues=[idverification])


def deleteVerificationById(idverification):
    yield sql.Delete(table='verification', whereFields=['idverification'], whereValues=[idverification])
